apiVersion: v1
kind: Namespace
metadata:
  name: ckad-ex10
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: myweb
    track: primary
  name: mywebprimary
  namespace: ckad-ex10
spec:
  replicas: 6
  selector:
    matchLabels:
      app: myweb
  template:
    metadata:
      labels:
        app: myweb
    spec:
      containers:
      - image: nginx:1.14
        name: nginx
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: myweb
    track: canary
  name: mywebcanary
  namespace: ckad-ex10
spec:
  replicas: 4
  selector:
    matchLabels:
      app: myweb
  template:
    metadata:
      labels:
        app: myweb
    spec:
      containers:
      - image: nginx
        name: nginx
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: myweb
  name: canary
  namespace: ckad-ex10
spec:
  ports:
  - port: 80
    protocol: TCP
    targetPort: 80
  selector:
    app: myweb
  type: NodePort
